/*
 * @Author: wrh
 * @Date: 2024-01-30 16:37:46
 * @LastEditors: wrh
 * @LastEditTime: 2024-12-09 17:36:56
 */
import request from '@/utils/request'

// 查询cmc项目列表
export function listProject(query) {
  return request({
    url: '/oa/project/list',
    method: 'get',
    params: query
  })
}

// 模糊查询项目管理列表
export function listProjectFuzzy(query) {
  return request({
    url: '/oa/project/listFuzzy',
    method: 'get',
    params: query
  })
}

// 查询cmc项目详细
export function getProject(projectId) {
  return request({
    url: '/oa/project/' + projectId,
    method: 'get'
  })
}

// 查询cmc项目详细
export function getProjectNmuber(query) {
  return request({
    url: '/oa/project/projectNumber',
    method: 'get',
    params: query
  })
}

// 新增cmc项目
export function addProject(data) {
  return request({
    url: '/oa/project',
    method: 'post',
    data: data
  })
}

// 修改cmc项目
export function updateProject(data) {
  return request({
    url: '/oa/project',
    method: 'put',
    data: data
  })
}

// 登记项目发送企业微信消息
export function sendMessage(data) {
  return request({
    url: '/oa/project/sendMessage',
    method: 'post',
    data: data
  })
}

// 删除cmc项目
export function delProject(projectId) {
  return request({
    url: '/oa/project/' + projectId,
    method: 'delete'
  })
}

// 项目统计信息
export function getProjectStatistic(query) {
  return request({
    url: '/oa/project/statistic',
    method: 'get',
    params: query
  })
}


// 项目统计信息
export function getProjectType() {
  return request({
    url: '/oa/project/projectType',
    method: 'get',
  })
}

// 查询cmc项目详细
export function getListByPaticipates(query) {
  return request({
    url: '/oa/project/listByPaticipates',
    method: 'get',
    params: query
  })
}